org.apache.commons.math3.analysis

## Interface DifferentiableUnivariateFunction

All Superinterfaces:
  UnivariateFunction

All Known Implementing Classes:
  Acos, Acosh, Asin, Asinh, Atan, Atanh, Cbrt, Constant, Cos, Cosh, Exp, Expm1, Gaussian, HarmonicOscillator, Identity, Inverse, Log, Log10, Log1p, Logistic, Logit, Minus, PolynomialFunction, PolynomialSplineFunction, Power, Sigmoid, Sin, Sinc, Sinh, Sqrt, Tan, Tanh

Deprecated.
as of 3.1 replaced by `UnivariateDifferentiableFunction`

    @Deprecated
    public interface DifferentiableUnivariateFunction
    extends UnivariateFunction

Extension of `UnivariateFunction` representing a differentiable univariate real function.

Version:
  $Id: DifferentiableUnivariateFunction.java 1383845 2012-09-12 08:34:10Z luc $

### Method Summary

Methods
`UnivariateFunction` `derivative()` Deprecated. Returns the derivative of the function

### Methods inherited from interface org.apache.commons.math3.analysis.UnivariateFunction

`value`

### Method Detail

#### derivative

    UnivariateFunction derivative()

Deprecated.
Returns the derivative of the function

Returns:
  the derivative function